//
/*
//
// Fix for compilers that don't define WIN32 but do define _WIN32 or __WIN32__
//
// Copyright 1998-2010 by Bill Spitzak and others.
//
// This library is free software. Distribution and use rights are outlined in
// the file "COPYING" which should have been included with this file.  If this
// file is missing or damaged, see the license at:
//
//     http://www.fltk.org/COPYING.php
//
// Please report all bugs and problems on the following page:
//
//     http://www.fltk.org/str.php
*/

#ifndef FIX_WIN32_H
# define FIX_WIN32_H

#if !defined(WIN32)
#  if defined(_WIN32)
#    define WIN32 _WIN32
#  else
#    if defined(__WIN32__)
#      define WIN32 __WIN32__
#    endif /* defined(__WIN32__) */
#  endif /* defined(_WIN32) */
#endif /* !defined(WIN32) */

#endif /* FIX_WIN32_H */

/*
//
*/
